Bug 128128 - Can not set "none" (Transparent) to shape area fill on Background objects style
Summary: Can not set "none" (Transparent) to shape area fill on Background objects style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2019-10-14 03:24 UTC by Jun Nogata
Modified: 2022-09-30 09:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Nogata 2019-10-14 03:24:33 UTC
Description:
Even if Shape area fill set to "none"(Transparent) on Background objects style/Presentation Styles, Shape area is filled. Other attribution(Color,Gradient,Bitmap,Pattern,Hatch) work normally. Set the Drawing Styles does not change.

Steps to Reproduce:
1. Open Master Slide (Menubar: View -> Slide Slide)
2. Open Styles on Sidebar then Select Presentation Style.
3. Modify "Background objects" (Click and Context Menu -> Modify)
4. Go to "Area" Tab. Select "None" then "OK" Button.
5. Drawing Shapes. (ex. Select "Insert Basic Shapes" to any shapes and Drawing shape.)

Actual Results:
Shape area is filled.

Expected Results:
Shape area is not filled(Transparent).


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Xisco Faulí 2019-10-29 11:35:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ada8a2123ea655142be74a11c23e042a0109d5f8

author	Katarina Behrens <Katarina.Behrens@cib.de>	2016-11-14 12:27:49 +0100
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2016-11-14 14:33:16 +0000
commit ada8a2123ea655142be74a11c23e042a0109d5f8 (patch)
tree a00e2c7f18075e3f5703021c4ea2dbaf7484211b
parent 1e70553585af382c7da3f79a3edf29de56c2d6a1 (diff)
tdf#103228: Remember fill type when switching between tabs

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Katarina Behrens
Comment 2 QA Administrators 2022-09-29 03:54:14 UTC
Dear nogajun,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug